Subject: Re: [PATCH 2/8] t: disable maintenance where we verify object database structure

From: Justin Tobler <[email-masked]>
Date: Mon, 23 Feb 2026 10:07:06 -0600

On 26/02/20 11:15AM, Patrick Steinhardt wrote:
> We have a couple of tests that explicitly verify the structure of the
> object database. Naturally, this structure is dependent on whether or
> not we run repository maintenance: if it decides to optimize the object
> database the expected structure is likely to not materialize.
> 
> Explicitly disable auto-maintenance in such tests so that we are not
> dependent on decisions made by our maintenance.

I assume that these tests previously did not trigger maintenance to
begin with so now explicitly disabling maintenance does not change the
resulting structure. Changing the default to geometric repacking may
change this though.

-Justin